<!DOCTYPE HTML>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Main</title>
    <!--/*/ <th:block th:include="fragments/head :: head"/> /*/-->
</head>

<body>
<div th:insert="fragments/navbar :: navbar('main')"></div>

<h1>Список покупок</h1>

<table class="table table-striped">
    <thead class="thead-light">
    <tr>
        <th scope="col">Тип</th>
        <th scope="col">Продукт</th>
        <th scope="col">Кількість</th>
        <th scope="col">Ціна</th>
    </tr>
    </thead>
    <tbody>
    <tr th:each="shoplist : ${shoplist}">
        <td><span th:text="${shoplist.getProduct().getProductType.getName()}"> Product </span></td>
        <td><span
                th:text="${shoplist.getProduct().getName() + '(' + shoplist.getProduct().getMeasure() +')' }"> Product </span>
        </td>
        <td><span th:text="${#numbers.formatDecimal(shoplist.getNeed(), 1, 3, 'COMMA')}"> Amount </span></td>
        <td><span th:text="${shoplist.getProduct().getPrice()}"> Price </span></td>
    </tr>
    </tbody>
    <tfoot>
    <td></td>
    <td></td>
    <td style="text-align: right"><b>Разом:</b></td>
    <td><b><span th:text="${#numbers.formatDecimal(totalsum, 1, 3, 'COMMA')}"> Price</span></b></td>
    </tfoot>
</table>
</body>
</html>
